Package org.eclipse.birt.core.ui.swt.custom

# Interface ICustomChoice

public interface ICustomChoice
ICustomChoice

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(int eventType, org.eclipse.swt.widgets.Listener listener)`
`org.eclipse.swt.graphics.Point`
`getSize()`
`Object`
`getValue()`
`boolean`
`isEnabled()`
`void`
`notifyListeners(int eventType, org.eclipse.swt.widgets.Event event)`
`void`
`redraw()`
`void`
`setEnabled(boolean enabled)`
`void`
`setLayoutData(Object layoutData)`
`void`
`setValue(Object value)`

## Method Details

### setValue

void setValue(Object value)

### getValue

Object getValue()

### addListener

void addListener(int eventType, org.eclipse.swt.widgets.Listener listener)

### notifyListeners

void notifyListeners(int eventType, org.eclipse.swt.widgets.Event event)

### redraw

void redraw()

### setEnabled

void setEnabled(boolean enabled)

### isEnabled

boolean isEnabled()

### getSize

org.eclipse.swt.graphics.Point getSize()

### setLayoutData

void setLayoutData(Object layoutData)